/*******************************************************************************
* Copyright(c) 2022 dongke All rights reserved. / Confidential
* 类的信息：
*		1.程序名称：
* 编辑履历：
*		作者				日期					版本				修改内容
*		王英杰		 2024-1-24			1.00		    商品种类
*******************************************************************************/ 
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: { 
    dataItem:{},
    tableData: [],
    formDataName: mixins.$t('goodsCategory'),
    popContent:
    [
      { code: 'catCode', type: 'str', title: mixins.$t('catCode'), required: false, readonly: true, },
      { code: 'parentId', name: 'parentName', title: 'parent', type: 'choose', required: true, dropType: 'supplier', required: true, urlKey: 'selectProductTypes', },
      { code: 'catName', type: 'str', title: mixins.$t('catName'), required: true },
      { code: 'remarks', type: 'str', title: mixins.$t('remarks'), required: false }
    ],
    commonService: app.globalData['commonService'],
    goodsCategoryService: app.globalData['goodsCategoryService'],
     // 路由
    routeObjName: 'goodsCategory',
  },
   /**
 * @desc : 打开新建弹窗
 * @author : 王英杰
 * @date : 2024/1/23 9:16
 */
  toAdd() {
    this.setData({
      showPop: true
    })
  },
  /**
 * @desc : 关闭弹窗
 * @author : 王英杰
 * @date : 2024/1/23 9:16
 */
  onClosePopup() {
    this.setData({
      showPop: false
    })
  },

     /**
   * @desc :设置查询参数
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */ 
  setSearchParams(params){
    params.pageSize = 100000
    params.currentPage = 1 
    return params
  },
 /**
  * @desc : 查询数据
  * @date : 2024/2/1 15:49
  * @author : 王英杰
  */
 getData(params) {
    return this.excute(this.data.commonService, this.data.commonService.goodsCategoryListBy, params);
  },
 
/**
   * @desc : 查询 后续处理
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  handleSearchData(data) {
   
    this.setData({
      tableData: util.convertToChildren(data, "parentId", "catId", null) ,
 
    })
    const myComponent = this.selectComponent('#treeSelect');
    myComponent.setDataFromPage(this.data.tableData);
  },
   /**
   * @desc : dk-tree 控件回调点击事件
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  clickName(e){ 
    const eventChannel = this.getOpenerEventChannel(); 
      eventChannel.emit('bindData', { data: {id:e.detail.id,name:e.detail.name} })
      wx.navigateBack({
        delta: 1
      }) 
  },
 /**
   * @desc   : 新建编辑事件
   * @author : 王英杰
   * @date   : 2024/1/26 11:46
   */
  editItems(e) {
    let data = e.detail.form
    this.setData({
      formData: JSON.stringify(data)
    })
    //执行保存编辑操作
    this.save({})
  },

  /**
   * @desc : 保存编辑
   * @author : 王英杰
   * @date : 2022/5/26 20:16
   */
  saveData(params) { 
      return this.excute(this.data.goodsCategoryService, this.data.goodsCategoryService.insert, params); 
  },
   /**
   * @desc :保存接口的 后续处理方法
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */ 
  handleData(data) { 
    this.setData({
      showPop: false, 
    })
  this.searchData()
  },
})